Page Menu
Home
GnuPG
Search
Configure Global Search
Log In
Files
F36623188
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Award Token
Size
1 KB
Subscribers
None
View Options
diff --git a/patches/poppler/0001-Explicitly-set-pthread-for-gcc-windows-builds.patch b/patches/poppler/0001-Explicitly-set-pthread-for-gcc-windows-builds.patch
index 3696082e..288ec918 100755
--- a/patches/poppler/0001-Explicitly-set-pthread-for-gcc-windows-builds.patch
+++ b/patches/poppler/0001-Explicitly-set-pthread-for-gcc-windows-builds.patch
@@ -1,29 +1,33 @@
+#! /bin/sh
+patch -p1 -l -f $* < $0
+exit $?
+
From d15297a555d9358655d0687249261de284ece3fc Mon Sep 17 00:00:00 2001
From: Andre Heinecke <aheinecke@gnupg.org>
Date: Thu, 27 Apr 2023 17:18:25 +0200
Subject: [PATCH] Explicitly set -pthread for gcc windows builds
We need pthread on windows explicity on windows if
gcc-win32 is used and not gcc-posix.
---
CMakeLists.txt | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 5d81fb47..bde58a22 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -580,6 +580,11 @@ if(WIN32)
add_definitions(-DWIN32_LEAN_AND_MEAN)
# gdi32 is needed under win32
set(poppler_LIBS ${poppler_LIBS} gdi32)
+ if (CMAKE_SYSTEM_NAME STREQUAL GNU)
+ # we need pthread on windows explicity on windows if
+ # gcc-win32 is used and not gcc-posix
+ set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -pthread")
+ endif()
endif()
if(PNG_FOUND)
set(poppler_LIBS ${poppler_LIBS} PNG::PNG)
--
2.40.0
File Metadata
Details
Attached
Mime Type
text/x-diff
Expires
Thu, Feb 26, 6:41 PM (4 h, 40 m)
Storage Engine
local-disk
Storage Format
Raw Data
Storage Handle
ee/4d/750ff5b07ff0369eccd9f6f07a07
Attached To
rW Gpg4win
Event Timeline
Log In to Comment